<?php
/*
======================
Administraatori paneel
Kategooria kustutamine
======================
*/
include "config.php";
if($_POST){
 
    include_once ROOT . 'db/dbconfig.php';
    include_once ADMIN_ROOT . 'objects/kategooria.class.php';
 
    $database = new Database();
    $db = $database->dbConnection();
 
    $category = new Kategooria($db);
    $category->id = $_POST['object_id'];

    // Kustutame kategooria ID järgi
    if($category->delete()){
        echo "Kirje kustutati andmebaasist.";
    }
    else{
        echo "Kustutamine ebaõnnestus."; 
    }
}
?>